GET /api/v1/abuses

cpy.re:peertube

Summary: List abuses
Operation ID: getAbuses
Auth: unknown

Parameters (13)

count (integer, query, optional, default: 15)

Number of items to return

Constraints: {'minimum': 1, 'maximum': 100}

filter (string, query, optional)

only list account, comment or video reports

Constraints: {'enum': ['video', 'comment', 'account']}

id (integer, query, optional)

only list the report with this id

predefinedReason (?, query, optional)

predefined reason the listed reports should contain

search (string, query, optional)

plain search that will match with video titles, reporter names and more

searchReportee (string, query, optional)

only list reports of a specific reportee

searchReporter (string, query, optional)

only list reports of a specific reporter

searchVideo (string, query, optional)

only list reports of a specific video

searchVideoChannel (string, query, optional)

only list reports of a specific video channel

sort (string, query, optional)

Sort abuses by criteria

Constraints: {'enum': ['-id', '-createdAt', '-state']}

start (integer, query, optional)

Offset used to paginate results

Constraints: {'minimum': 0}

state (?, query, optional)
videoIs (string, query, optional)

only list deleted or blocklisted videos

Constraints: {'enum': ['deleted', 'blacklisted']}

No probe data for this endpoint yet.